Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion

From: Gregory Heytings <[email-masked]>
Date: Wed, 27 Oct 2021 11:23:30 +0000

>
> And, beside of fido-vertical-mode, your Tramp patch hides the method 
> names at all.
>

No, it does not.

>
> If I try
>
> emacs -Q -l tramp --eval "(setq completion-styles '(flex basic))"
>
> and apply then 'C-x C-f /ss TAB', it offers only the candidate '/sys/', 
> and nothing else. W/o your patch, there are the candidates
>

Yes, this is because "flex" is tried first, and returns "sys" because it 
contains two "s".

With that setting (flex basic), everything works perfectly with C-x C-f 
/ssh TAB, after which you see "ssh: sshfs: sshx:", and with C-x C-f /ssh: 
TAB, after which you see the hostnames.

With (substring basic), C-x C-f /ss TAB is completed and becomes /ssh.